Subject: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Uwe Brauer <[email-masked]>
Date: Sun, 01 Jan 2017 10:38:23 +0000

>>> "Tassilo" == Tassilo Horn <[email-masked]> writes:

    > Uwe Brauer <[email-masked]> writes:
    >> I have 24.x,[1] but I have to change my init file because right now I
    >> obtain on start the following error: 
    >> Warning (emacs): Unable to activate package `with-editor'.

    > with-editor is used by magit, as far as I know.

    >> Required package `emacs-24.4' is unavailable
    >> Warning (initialization): An error occurred while loading `/home/oub/.emacs':
    >> 
    >> Symbol's function definition is void: function-put

    > Yes, that's a new function in emacs 25.  That's probably because auctex
    > has been compiled with a more recent version of Emacs than the one you
    > are running right now.

I de installed magit (never used it anyhow) tried to use the auctex
version as provided by the package system. Did not work. So in order not
to lose more type, I just created a new user. Started emacs 24 and
installed auctex via the package system, then I set the variable 

`font-latex-fontify-script'  to  'invisible,

But the behavior you described for 25 and 26 *also* occurred in 24. I
can't say anything for 22 or 23.

Uwe